{
  "name": "openbravo",
  "private": true,
  "config": {
    "preinstall": "modules/org.openbravo.client.kernel/build-scripts/pre-install",
    "install": "modules/org.openbravo.client.kernel/build-scripts/install-deps",
    "postinstall": "modules/org.openbravo.client.kernel/build-scripts/post-install",
    "test": "modules/org.openbravo.client.kernel/test-scripts/run-tests"
  },
  "scripts": {
    "preinstall": "$npm_package_config_preinstall",
    "install": "node $npm_package_config_install",
    "ci": "node $npm_package_config_install",
    "postinstall": "$npm_package_config_postinstall",
    "test": "$npm_package_config_test",
    "coverage": "$npm_package_config_test --coverage",
    "jslint": "eslint --max-warnings 0",
    "jsformat": "prettier"
  },
  "repository": "https://gitlab.com/openbravo/product/openbravo",
  "author": "Openbravo SLU",
  "license": "SEE LICENSE IN legal/Openbravo_license.txt",
  "dependencies": {
    "eslint-config-prettier": "~7.1.0",
    "eslint-plugin-prettier": "~3.3.1",
    "prettier": "~1.18.2"
  },
  "devDependencies": {
    "@babel/plugin-proposal-optional-chaining": "^7.12.7",
    "@babel/preset-env": "^7.11.0",
    "@babel/preset-react": "^7.10.4",
    "@testing-library/jest-dom": "^5.11.5",
    "babel-eslint": "^10.1.0",
    "babel-jest": "^26.6.0",
    "eslint": "~7.17.0",
    "eslint-config-airbnb-base": "~14.2.1",
    "eslint-plugin-import": "~2.22.1",
    "eslint-plugin-jest": "~24.1.3",
    "identity-obj-proxy": "^3.0.0",
    "jest": "26.6.0",
    "jest-html-reporters": "~2.1.2",
    "xmldom": "^0.6.0"
  },
  "jest": {
    "testMatch": [
      "**/web-test/**/?(*.)+(test).[jt]s?(x)",
      "**/web-jspack/**/?(*.)+(test).[jt]s?(x)"
    ],
    "moduleNameMapper": {
      "\\.(scss)$": "identity-obj-proxy",
      "\\.(css)$": "identity-obj-proxy",
      "\\.(svg)$": "<rootDir>/modules/org.openbravo.client.kernel/jsutils/fileMock.js"
    },
    "coverageDirectory": "./test-reports/coverage",
    "setupFilesAfterEnv": [
      "./jest.setup.js"
    ],
    "reporters": [
      "default",
      [
        "jest-html-reporters",
        {
          "publicPath": "./test-reports",
          "filename": "jest-report.html"
        }
      ]
    ]
  }
}
